<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\PeerDataOperationRequestResponseMessage\PeerDataOperationResult;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class WaffleNonceFetchResponse extends \Google\Protobuf\Internal\Message
{
    


    protected $nonce = null;
    


    protected $waEntFbid = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getNonce()
    {
        return isset($this->nonce) ? $this->nonce : '';
    }

    public function hasNonce()
    {
        return isset($this->nonce);
    }

    public function clearNonce()
    {
        unset($this->nonce);
    }

    




    public function setNonce($var)
    {
        GPBUtil::checkString($var, True);
        $this->nonce = $var;

        return $this;
    }

    



    public function getWaEntFbid()
    {
        return isset($this->waEntFbid) ? $this->waEntFbid : '';
    }

    public function hasWaEntFbid()
    {
        return isset($this->waEntFbid);
    }

    public function clearWaEntFbid()
    {
        unset($this->waEntFbid);
    }

    




    public function setWaEntFbid($var)
    {
        GPBUtil::checkString($var, True);
        $this->waEntFbid = $var;

        return $this;
    }

}

